## lsmount 0.2.3

=== Makefile ===
.PHONY: all clean install uninstall manpage

CC      = /usr/bin/gcc
CFLAGS += -std=gnu99 -lconfig -D_GNU_SOURCE
CFLAGS += `pkg-config --cflags libconfig`
LDLIBS += `pkg-config --libs libconfig`
LDFLAGS = -ltermcap -z now
BIN     = lsmount
OBJ     = lsmount.o lsmgrid.o options.o lsmcolors.o helper.o
VPATH   = src

all: CFLAGS += -O2 -Wall -pedantic -fPIE -D_FORTIFY_SOURCE=1
all: $(BIN)

debug: CFLAGS += -g -Og -DDEBUG -Werror -Wextra -pedantic  -Wcast-qual -Wcast-align -Wformat -Wformat-nonliteral -Wformat-security  -Winit-self -Wmissing-include-dirs -Wno-suggest-attribute=noreturn -Wno-write-strings -Wpointer-arith -Wredundant-decls -Wundef -Wpacked -Wunreachable-code  -Wno-unused-parameter -Wconversion -Wshadow -Wstrict-prototypes -Wbad-function-cast -Wold-style-definition -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
debug: $(BIN)

lsmount:   lsmount.o lsmgrid.o options.o lsmcolors.o helper.o
	$(CC) -o $@ $(OBJ) $(LDLIBS) $(LDFLAGS)
lsmount.o: lsmount.c lsmount.h ansicodes.h
	$(CC) $(CFLAGS) -c -o $@ $<
lsmgrid.o: lsmgrid.c lsmgrid.h
	$(CC) $(CFLAGS) -c -o $@ $<
lsmcolors.o: lsmcolors.c lsmcolors.h
	$(CC) $(CFLAGS) -c -o $@ $<
options.o: options.c options.h
	$(CC) $(CFLAGS) -c -o $@ $<
helper.o: helper.c helper.h
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f $(BIN) $(OBJ)
	rm -f doc/lsmount.1.gz

install: lsmount manpage
	cp lsmount /usr/bin/$(BIN)
	cp share/lsmount.rc.default /etc/lsmountrc
	cp doc/lsmount.1.gz /usr/share/man/man1/

uninstall:
	rm -f /usr/bin/$(BIN)
	rm -f /etc/lsmountrc
	rm -f /usr/share/man/man1/lsmount.1.gz

manpage: doc/lsmount.txt
	a2x -f manpage doc/lsmount.txt
	gzip -f doc/lsmount.1

## lsmount 0.2.2

=== debian/changelog ===
lsmount (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #889469)

 -- Andreas Schwarz <a.schwarz_dev@dntw.de>  Sat, 30 Jun 2018 13:15:00 +0200

=== debian/control ===
Source: lsmount
Maintainer: Andreas Schwarz <a.schwarz_dev@dntw.de>
Section: utils
Priority: optional
Standards-Version: 4.1.4.0
Vcs-Git: https://github.com/Llandon/lsmount.git
Vcs-browser: https://github.com/Llandon/lsmount
Homepage: https://www.lsmount.org
Build-Depends: libconfig-dev (>=1.4.8), debhelper (>=11), asciidoc, xmlto, libncurses-dev

Package: lsmount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: is a small program for formatting the /proc/mounts output
 With a larger number of mounts the output of /proc/mounts isn't longer
 really comfortable to read. This is where lsmount with options such as
 alignment and colorisation comes into action.

=== debian/watch ===
version=4
opts=[...],\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
https://github.com/Llandon/lsmount/tags .*/v(\d\S+)\.tar\.gz

## lsmount 0.2.3

=== debian/changelog ===
lsmount (0.2.3-1) unstable; urgency=low

  * upstream changes
    - fixes incompatibility with hurd by removing PATH_MAX (Closes: #908067)
    - add compile time check for _POSIX_VERSION

  * package changes
    - new upstream version
    - fixed errors in debian/watch file
    - did a clean export for debian/upstream/signing-key.asc
    - switch to current debhelper version
    - switch to current standards version

 -- Andreas Schwarz <a.schwarz_dev@dntw.de>  Wed, 09 Jan 2019 21:15:00 +0100

## lsmount 0.2.4

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 .PHONY: all clean install uninstall manpage
 
-CC      = /usr/bin/gcc
-CFLAGS += -std=gnu99 -lconfig -D_GNU_SOURCE
-CFLAGS += `pkg-config --cflags libconfig`
-LDLIBS += `pkg-config --libs libconfig`
-LDFLAGS = -ltermcap -z now
-BIN     = lsmount
-OBJ     = lsmount.o lsmgrid.o options.o lsmcolors.o helper.o
-VPATH   = src
+CC          = /usr/bin/gcc
+PKG_CONFIG ?= pkg-config
+CFLAGS     += -std=gnu99 -lconfig -D_GNU_SOURCE -fcommon
+CFLAGS     += `$(PKG_CONFIG) --cflags libconfig`
+LDLIBS     += `$(PKG_CONFIG) --libs libconfig`
+LDFLAGS     = -ltermcap -z now
+BIN         = lsmount
+OBJ         = lsmount.o lsmgrid.o options.o lsmcolors.o helper.o
+VPATH       = src
 
 all: CFLAGS += -O2 -Wall -pedantic -fPIE -D_FORTIFY_SOURCE=1
 all: $(BIN)

=== debian/changelog ===
lsmount (0.2.4-1) unstable; urgency=low

  * upstream changes
    - make pkg-config substitutable (Closes: #941677)
    - typo in dependencies (README)
    - build issues with GCC 10 (Closes: #957507)

  * package changes
    - new upstream version

 -- Andreas Schwarz <a.schwarz_dev@dntw.de>  Fri, 24 Jul 2020 01:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Andreas Schwarz <a.schwarz_dev@dntw.de>
 Section: utils
 Priority: optional
-Standards-Version: 4.1.4.0
+Standards-Version: 4.3.0
 Vcs-Git: https://github.com/Llandon/lsmount.git
 Vcs-browser: https://github.com/Llandon/lsmount
 Homepage: https://www.lsmount.org
-Build-Depends: libconfig-dev (>=1.4.8), debhelper (>=11), asciidoc, xmlto, libncurses-dev
+Build-Depends: libconfig-dev (>=1.4.8), debhelper (>=12), asciidoc, xmlto, libncurses-dev
 
 Package: lsmount
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -m 755 lsmount $(CURDIR)/debian/lsmount/usr/bin/
	install -m 644 share/lsmount.rc.default $(CURDIR)/debian/lsmount/etc/lsmountrc

override_dh_auto_build:
	dh_auto_build
	a2x -f manpage doc/lsmount.txt

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/" \
https://github.com/llandon/lsmount/releases .*/v(\d\S+)\.tar\.gz
